Discuss the future of Maps and Geo-related projects at WMDS2016
Closed, ResolvedPublic

Description

The new Wikimedia maps service is now actively used at Wikivoyage, but now we need a good vision for the maps future at Wikipedia. Come discuss these and other ideas about maps.

Main topic

The new maps service generates tiles, but at the moment we do not have a coherent client/wiki-side support for it, forcing various labs-based implementations. Kartographer extension attempts to solve that, but it needs some serious discussion on what features it should provide. Features should include extra data to show on the map specific to the article, static server-side map generation with layers, etc.
See also T115290 and the extension page

Bonus points

Time permitting, we may also look into other topics. Feel free to add more ideas to this list.

  • Decide cartographic goals for our map style - As T113912 describes, we need to establish what map style(s) we want for Wikipedia articles. What kinds of maps would illustrate different types of articles better? What information should we sabdue/hide so as not to interfere with the article's content? Style guide is what map designers will use when designing our new styles.
  • Extension replacing GeoHack - what should happen when users click on geo coordinates? What functionality is needed?
  • GeoData needs support for returning results over a wide area T112033
  • Migrate VE maps plugin to use the new service (should be enabled in Wikivoyage only)
  • Allow 3D model (e.g. buildings) storage in Commons T107410
  • Allow GeoJSON storage in Commons
  • Make Mapnik handle hstore (dictionary) values
  • ...?
MaxSem created this task.Sep 23 2015, 8:47 PM
MaxSem added subscribers: MaxSem, Yurik.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 23 2015, 8:47 PM
Yurik edited the task description. (Show Details)Sep 24 2015, 1:19 AM
Yurik added projects: Maps, Discovery.
Yurik set Security to None.
Deskana moved this task from Needs triage to Maps on the Discovery board.Sep 24 2015, 4:43 PM
Qgil added a subscriber: Qgil.Oct 3 2015, 8:57 PM

Congratulations! This is one of the 52 proposals that made it through the first deadline of the Wikimedia-Developer-Summit-2016 selection process. Please pay attention to the next one: > By 6 Nov 2015, all Summit proposals must have active discussions and a Summit plan documented in the description. Proposals not reaching this critical mass can continue at their own path out of the Summit.

Qgil added a comment.Oct 28 2015, 11:07 AM

Hi @MaxSem, this proposal is focusing on a Summit session but there is no indication about topics that could be discussed here before, and therefore it is missing active discussion now. Note that pre-scheduled Summit sessions are expected to be preceded by online discussions and a plan to reach to conclusions and next steps. It would be good to sort out these problems before the next deadline on November 6.

Today is November 6, and this proposal is basically not on track. Unless the situation suddenly changes and/or @RobLa-WMF and the Architecture Committee really want to schedule it, it will be removed as a Wikimedia-Developer-Summit-2016 proposal.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 6 2015, 10:49 AM
Yurik added a comment.Nov 6 2015, 3:47 PM

@Qgil, my apologies, I was under the impression that we were all good on this proposal. This topic is very important to the Discovery team, and I will make sure today that everything is in order.

Yurik changed the title from "Maps/geo on WMDS2016" to "Work on Maps and Geo-related projects at WMDS2016".Nov 6 2015, 10:40 PM
Yurik edited the task description. (Show Details)
Yurik added a comment.Nov 6 2015, 10:51 PM

@Qgil & @RobLa-WMF, I have improved the description, but I am not exactly sure what else is missing. We outlined all the topics we plan to discuss, and judging by the past conferences, there is always plenty of people interested in Map-related discussions.

Yurik changed the title from "Work on Maps and Geo-related projects at WMDS2016" to "Discuss the future of Maps and Geo-related projects at WMDS2016".Nov 6 2015, 11:00 PM
Yurik edited the task description. (Show Details)Nov 6 2015, 11:14 PM
Yurik edited the task description. (Show Details)Nov 6 2015, 11:40 PM

@Yurik: if you had to pick one (and only one) which style of meeting do you hope this will be? Problem-solving, Strawman, Field narrowing, Consensus, or Education? See my definition of good engineering meeting taxonomy to see what I mean by those choices.

Yurik added a subscriber: RobLa.Nov 6 2015, 11:59 PM

@RobLa, for the first topic, the <map tag, the Problem-solving is the closest - I need to figure out how best to solve it to satisfy everyone's interests in this feature. For other ideas, I am hoping for more of a field-narrowing - there are many ideas people have proposed, and we need to figure out which features are more valuable than others.

Yurik edited the task description. (Show Details)Nov 7 2015, 2:50 AM
Qgil added a comment.Nov 9 2015, 11:56 AM

We outlined all the topics we plan to discuss, and judging by the past conferences, there is always plenty of people interested in Map-related discussions.

Just for clarification, https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit_2016#Scope_of_the_proposals says "The program focuses on organized discussions that start online and aim to reach to agreements during the event." If there is plenty of people interested in this proposal at the Summit, they could be involved in this proposal already now, you could progress with the conversation online, and make a better use of your time at the event.

@Qgil, the conversation has started online - mostly in Wikivoyage where we are trying it first. See ru wikivoyage and en wikivoyage.

Qgil added a comment.Nov 18 2015, 1:05 PM

I cannot find the discussion in en.wikivoyage. In any case, I guess these are not developer discussions? What are the discussions you expect at the Developer Summit, and who else will be interested in participating?

Sorry if I keep asking questions, this is nothing personal. :) The description is unclear, although at least now there are two topics featured. The two tasks related to these topics have no discussion, and this task here only contains discussion about this task as a Summit proposal.

Yurik added a comment.EditedNov 18 2015, 2:44 PM

@Qgil, the en.wikivoyage moved the discussion to https://en.wikivoyage.org/wiki/Wikivoyage_talk:Dynamic_maps_Expedition#New_map_layer_added_for_Wikimedia.2FKartotherian

The discussion is very much a developer one - to figure out how users can control the new map system. How maps can provide the needed functionality, and how it can seamlessly integrate with other existing or new services.

for the first topic, the <map tag, the Problem-solving is the closest - I need to figure out how best to solve it to satisfy everyone's interests in this feature. For other ideas, I am hoping for more of a field-narrowing - there are many ideas people have proposed, and we need to figure out which features are more valuable than others.

Given that you seem to have this mentally divided into two topics, I think it would be helpful to digitally divide them (i.e. actually put them in separate Phab tasks). We can always lump them together on the end itinerary, but splitting them off would be helpful to set expectations and define goals for the meeting.

Yurik edited the task description. (Show Details)Nov 18 2015, 4:00 PM
Yurik added a comment.Nov 18 2015, 4:03 PM

@RobLa, i updated the description to shift the accents. Many topics already have their own phab tickets, so unless we can allocate another timeslot for another map session, I don't think we should create another phab ticket for them.

This comment was removed by RobLa-WMF.

(repeating T113526#1790317): @Yurik: if you had to pick one (and only one) which style of meeting do you hope this will be? Problem-solving, Strawman, Field narrowing, Consensus, or Education? See my definition of good engineering meeting taxonomy to see what I mean by those choices.

In SF for all hands and would be very interested in attending this session.

Maps/Geo has huge potential for wikimedia and could put the movement in a very important place in the FOSS4G landscape.

Would really like to see this happen.

GWicke added a subscriber: GWicke.EditedDec 25 2015, 5:58 PM

As it stands, this sounds like this session would be about brainstorming / feature idea gathering.

@Yurik, if your intention is to narrow down the scope / prioritize, could you formulate a set of key trade-offs / prioritization questions that should be answered?

Deskana closed this task as "Resolved".Jan 13 2016, 7:32 PM
Deskana claimed this task.
Deskana added a subscriber: Deskana.

Given that the Developer Summit has now been done, I am marking this task as resolved.

Yurik moved this task from All map-related tasks to Tracking on the Maps board.Feb 2 2016, 6:02 PM